# GimpUi.SizeEntry.prototype.set_resolution

    function set_resolution(field: Number(gint), resolution: Number(gdouble), keep_size: Boolean): void {
        // Gjs wrapper for gimp_size_entry_set_resolution()
    }

Sets the resolution (in dpi) for field # field of the GimpUi.SizeEntry.

The resolution passed will be clamped to fit in [#GIMP_MIN_RESOLUTION..#GIMP_MAX_RESOLUTION].

This function does nothing if the GimpUi.SizeEntryUpdatePolicy specified in GimpUi.SizeEntry.new doesn't equal to #GIMP_SIZE_ENTRY_UPDATE_SIZE.

field

  The index of the field you want to set the resolution for.

resolution

  The new resolution (in dpi) for the chosen field.

keep_size

  true if the field's size in pixels should stay the same. false if the field's size in units should stay the same.